Upstream information

CVE-2008-3422 at MITRE

Description

Multiple cross-site scripting (XSS) vulnerabilities in the ASP.net class libraries in Mono 2.0 and earlier allow remote attackers to inject arbitrary web script or HTML via crafted attributes related to (1) HtmlControl.cs (PreProcessRelativeReference), (2) HtmlForm.cs (RenderAttributes), (3) HtmlInputButton (RenderAttributes), (4) HtmlInputRadioButton (RenderAttributes), and (5) HtmlSelect (RenderChildren).

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.3
Vector AV:N/AC:M/Au:N/C:N/I:P/A:N
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact None
Integrity Impact Partial
Availability Impact None
SUSE Bugzilla entry: 413534 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
openSUSE 11.0
  • mono-core-debuginfo >= 1.9.1-6.3
  • mono-core-debugsource >= 1.9.1-6.3
openSUSE 11.0
  • bytefx-data-mysql >= 1.9.1-6.3
  • ibm-data-db2 >= 1.9.1-6.3
  • mono-complete >= 1.9.1-6.3
  • mono-core >= 1.9.1-6.3
  • mono-core-32bit >= 1.9.1-6.3
  • mono-data >= 1.9.1-6.3
  • mono-data-firebird >= 1.9.1-6.3
  • mono-data-oracle >= 1.9.1-6.3
  • mono-data-postgresql >= 1.9.1-6.3
  • mono-data-sqlite >= 1.9.1-6.3
  • mono-data-sybase >= 1.9.1-6.3
  • mono-devel >= 1.9.1-6.3
  • mono-extras >= 1.9.1-6.3
  • mono-jscript >= 1.9.1-6.3
  • mono-locale-extras >= 1.9.1-6.3
  • mono-nunit >= 1.9.1-6.3
  • mono-web >= 1.9.1-6.3
  • mono-winforms >= 1.9.1-6.3
SUSE Linux Enterprise SDK 10 SP2
  • bytefx-data-mysql >= 1.2.2-12.22
  • ibm-data-db2 >= 1.2.2-12.22
  • mono-basic >= 1.2.2-13.15
  • mono-core >= 1.2.2-12.22
  • mono-data >= 1.2.2-12.22
  • mono-data-firebird >= 1.2.2-12.22
  • mono-data-oracle >= 1.2.2-12.22
  • mono-data-postgresql >= 1.2.2-12.22
  • mono-data-sqlite >= 1.2.2-12.22
  • mono-data-sybase >= 1.2.2-12.22
  • mono-devel >= 1.2.2-12.22
  • mono-extras >= 1.2.2-12.22
  • mono-jscript >= 1.2.2-12.22
  • mono-locale-extras >= 1.2.2-12.22
  • mono-nunit >= 1.2.2-12.22
  • mono-web >= 1.2.2-12.22
  • mono-winforms >= 1.2.2-12.22
sle10-sp2-sdk.ia64
sles10-sp2.s390x
sles10-sp2.ppc
sle10-sp1-sdk.x86
sles10-sp2.x86-64
sle10-sp2-sdk.x86-64
sle10-sp1-sdk.x86-64
sled10.x86
sle10-sp1-sdk.ppc
sles10-sp2.ia64
sle10-sp2-sdk.s390x
sled10.x86-64
sled10-sp2.x86-64
sle10-sp2-sdk.x86
sles10.x86
sles10.s390x
sle10-sp1-sdk.s390x
sle10-sp1-sdk.ia64
sles10.ppc
sled10-sp2.x86
sles10.ia64
sles10.x86-64
sle10-sp2-sdk.ppc
sles10-sp2.x86
ZYPP Patch Nr: 5560
SUSE Linux Enterprise SDK 10 SP2
  • bytefx-data-mysql >= 1.2.2-12.22
  • ibm-data-db2 >= 1.2.2-12.22
  • mono-basic >= 1.2.2-13.15
  • mono-core >= 1.2.2-12.22
  • mono-core-x86 >= 1.2.2-12.22
  • mono-data >= 1.2.2-12.22
  • mono-data-firebird >= 1.2.2-12.22
  • mono-data-oracle >= 1.2.2-12.22
  • mono-data-postgresql >= 1.2.2-12.22
  • mono-data-sqlite >= 1.2.2-12.22
  • mono-data-sybase >= 1.2.2-12.22
  • mono-devel >= 1.2.2-12.22
  • mono-extras >= 1.2.2-12.22
  • mono-jscript >= 1.2.2-12.22
  • mono-locale-extras >= 1.2.2-12.22
  • mono-nunit >= 1.2.2-12.22
  • mono-web >= 1.2.2-12.22
  • mono-winforms >= 1.2.2-12.22
sle10-sp2-sdk.ia64
sles10-sp2.s390x
sles10-sp2.ppc
sle10-sp1-sdk.x86
sles10-sp2.x86-64
sle10-sp2-sdk.x86-64
sle10-sp1-sdk.x86-64
sled10.x86
sle10-sp1-sdk.ppc
sles10-sp2.ia64
sle10-sp2-sdk.s390x
sled10.x86-64
sled10-sp2.x86-64
sle10-sp2-sdk.x86
sles10.x86
sles10.s390x
sle10-sp1-sdk.s390x
sle10-sp1-sdk.ia64
sles10.ppc
sled10-sp2.x86
sles10.ia64
sles10.x86-64
sle10-sp2-sdk.ppc
sles10-sp2.x86
ZYPP Patch Nr: 5560
SUSE Linux Enterprise SDK 10 SP2
  • bytefx-data-mysql >= 1.2.2-12.22
  • ibm-data-db2 >= 1.2.2-12.22
  • mono-basic >= 1.2.2-13.15
  • mono-core >= 1.2.2-12.22
  • mono-core-32bit >= 1.2.2-12.22
  • mono-data >= 1.2.2-12.22
  • mono-data-firebird >= 1.2.2-12.22
  • mono-data-oracle >= 1.2.2-12.22
  • mono-data-postgresql >= 1.2.2-12.22
  • mono-data-sqlite >= 1.2.2-12.22
  • mono-data-sybase >= 1.2.2-12.22
  • mono-devel >= 1.2.2-12.22
  • mono-extras >= 1.2.2-12.22
  • mono-jscript >= 1.2.2-12.22
  • mono-locale-extras >= 1.2.2-12.22
  • mono-nunit >= 1.2.2-12.22
  • mono-web >= 1.2.2-12.22
  • mono-winforms >= 1.2.2-12.22
sle10-sp2-sdk.ia64
sles10-sp2.s390x
sles10-sp2.ppc
sle10-sp1-sdk.x86
sles10-sp2.x86-64
sle10-sp2-sdk.x86-64
sle10-sp1-sdk.x86-64
sled10.x86
sle10-sp1-sdk.ppc
sles10-sp2.ia64
sle10-sp2-sdk.s390x
sled10.x86-64
sled10-sp2.x86-64
sle10-sp2-sdk.x86
sles10.x86
sles10.s390x
sle10-sp1-sdk.s390x
sle10-sp1-sdk.ia64
sles10.ppc
sled10-sp2.x86
sles10.ia64
sles10.x86-64
sle10-sp2-sdk.ppc
sles10-sp2.x86
ZYPP Patch Nr: 5560
Novell Linux Desktop 9 SDK for x86
Novell Linux Desktop 9 SDK for x86_64
Novell Linux Desktop 9 for x86
Novell Linux Desktop 9 for x86_64
SLES SDK 9 for IBM S/390 and IBM zSeries
SLES SDK 9 for IBM iSeries and IBM pSeries
SLES SDK 9 for X86-64
SLES SDK 9 for x86
  • mono >= 1.1.7-0.17
  • mono-devel >= 1.1.7-0.17
core9.s390
core9.ppc
sles9-nld.x86
sles9-oes.x86
core9.x86
sles9-nld.x86-64
core9.x86-64
sles9-nld.x86-64
sles9-nld.x86
YOU Patch Nr: 12235
Open Enterprise Server
  • mono-core >= 1.1.7.7-0.16
  • mono-data >= 1.1.7.7-0.16
  • mono-web >= 1.1.7.7-0.16
core9.s390
core9.ppc
sles9-nld.x86
sles9-oes.x86
core9.x86
sles9-nld.x86-64
core9.x86-64
sles9-nld.x86-64
sles9-nld.x86
YOU Patch Nr: 12235